Bug 239009 - (CVE-2007-1864) CVE-2007-1864 php libxmlrpc library overflow
CVE-2007-1864 php libxmlrpc library overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
public=20070503,reported=20070503,sou...
: Security
Depends On: 239015 239016 239017 239020 239026 239566
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-04 09:23 EDT by Mark J. Cox (Product Security)
Modified: 2007-05-21 07:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-21 07:39:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2007-05-04 09:23:27 EDT
The PHP announcement on 20070503 included an issue which is a remotely
triggerable heap buffer overflow inside the bundled libxmlrpc library.  Note
that this is the C xmlrpc library extension and most PHP applications
implementing XMLRPC would use the native-PHP xmlrpc code which is not affected
by this issue.
Comment 1 Mark J. Cox (Product Security) 2007-05-08 11:33:02 EDT
text "A heap buffer overflow flaw was found in the PHP 'xmlrpc' extension. A
PHP script which implements an XML-RPC server using this extension
could allow a remote attacker to execute arbitrary code as the 'apache'
user. Note that this flaw does not affect PHP applications using the
pure-PHP XML_RPC class provided in /usr/share/pear. (CVE-2007-1864) "

Note You need to log in before you can comment on or make changes to this bug.